spring:
  application:
    name: chamomile-sample-boot-basic
  main:
    allow-bean-definition-overriding: true
  sql:
    init:
      mode: always
  jpa:
    defer-datasource-initialization: true

server:
  error:
    whitelabel:
      enabled: true
    include-exception: true
    include-message: always
    include-stacktrace: always
  port: 8080

chmm:
  ##SECURITY
  security:
    loginProcessingUrl: /security/jwt/authenticate #Access토큰 발급
    refreshProcessingUrl: /security/jwt/refresh-token #토큰 재발급
    defaultPasswordEncoder: sha256
    passwordEncoderList: sha256,bcrypt
    rsaPassword:
      use : false
      privateKey :  
    ignorePatterns:
      - /chmm/user/update-password
      - /swagger-ui/**
      - /api-docs/**
      - /swagger-resources/**
      - /v3/api-docs/**
      - /chmm/board/image/download/**
      - /security/jwt/rsa-password
    autoconfig:
      use: true
  jwt:
    secret: 0PtD9jRs2Q7Cgw38E8CNSBfxSf/ib/mAElN05fhAUU0FXsB3S8F3rfaaCSHy+NWQZkhDbs1SJm+cjdKQX4eHGA==
    access-expired-time: 18000000 #30분
    refresh-expired-time: 86400000 #24시간
  ## JWT CORS
  cors:
    configurations:
      - pattern: "/**"
        allowed-origins:
          - "http://localhost:3000"
          - "http://localhost:8080"
          - "http://localhost:23636"
        allowed-methods:
          - "GET"
          - "POST"
        allowed-headers:
          - "Authorization"
          - "Content-Type"
        allow-credentials: false
        max-age: 3600

  #Hikari DataSource
  jdbc:
    driverClassName: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
    jdbcUrl: jdbc:log4jdbc:mysql://localhost:3306/chamomile?autoReconnect=true&serverTimezone=UTC&allowMultiQueries=true&zeroDateTimeBehavior=convertToNull
    username: root
    password: ldcc!2626
    maximumPoolSize: 10
    connectionTimeout: 30000
    maxLifetime: 1800000

  ##MAPPER
  mapper:
    interval: 60000
    refreshable: true
    config-location: classpath:/sql/config/sqlMapConfig.xml
    refreshable-mapper-locations: classpath:/sql/service/*.xml
  txPointcut:
    expression: (execution(* demo..*ServiceImpl.*(..)))

  #FILE
  file:
    repositoryPath: C:\Chamomile\files

mybatis:
  mapper-locations: sql/service/*.xml

springdoc:
  swagger-ui:
    version: v1.0.0
    path: /swagger-ui.html
    groups-order: DESC
    operationsSorter: method
    disable-swagger-default-url: true
    display-request-duration: true
    csrf:
      enabled: true
  api-docs:
    path: /api-docs
    groups:
      enabled: true
  show-actuator: true
  default-consumes-media-type: application/json
  default-produces-media-type: application/json
  packages-to-scan: com.demo1















